Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools.graph
Class GraphTopologicalSort

    java.lang.Object
      org.hibernate.envers.tools.graph.GraphTopologicalSort

    public class GraphTopologicalSort

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`GraphTopologicalSort()`

Method Summary
`static
`<V,R> List<V>`
` | `sort(GraphDefiner<V,R> definer)` Sorts a graph topologically.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphTopologicalSort

    public GraphTopologicalSort()

Method Detail

### sort

    public static <V,R> List<V> sort(GraphDefiner<V,R> definer)

  Sorts a graph topologically.

  Parameters:
    `definer` - Defines a graph (values and representations) to sort.
  Returns:
    Values of the graph, sorted topologically.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.